Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.regex
Class JavaPatternMatcher

    java.lang.Object
      com.servingxml.components.regex.JavaPatternMatcher

All Implemented Interfaces:
  PatternMatcher

    public class JavaPatternMatcher

extends java.lang.Object
implements PatternMatcher

Constructor Summary
`JavaPatternMatcher(java.lang.String stringPattern, boolean caseSensitive, boolean useRegex)`

Method Summary
`boolean` | `match(java.lang.String input)`
`boolean` | `matchAndReplace(java.lang.String input, java.lang.String format, java.lang.StringBuffer output)`
`boolean` | `search(java.lang.String input)`
`void` | `searchAndReplace(java.lang.String input, java.lang.String format, java.lang.StringBuffer output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPatternMatcher

    public JavaPatternMatcher(java.lang.String stringPattern,
                              boolean caseSensitive,
                              boolean useRegex)

Method Detail

### search

    public final boolean search(java.lang.String input)

  Specified by:
    `search` in interface `PatternMatcher`

### match

    public final boolean match(java.lang.String input)

  Specified by:
    `match` in interface `PatternMatcher`

### matchAndReplace

    public final boolean matchAndReplace(java.lang.String input,
                                         java.lang.String format,
                                         java.lang.StringBuffer output)

  Specified by:
    `matchAndReplace` in interface `PatternMatcher`

### searchAndReplace

    public void searchAndReplace(java.lang.String input,
                                 java.lang.String format,
                                 java.lang.StringBuffer output)

  Specified by:
    `searchAndReplace` in interface `PatternMatcher`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD